.main-content {
    padding-top: 104px;
    margin-bottom: 120px;
}

.main-content__title {
    border-bottom: 1px solid #a8a8a8;
    margin: 0;
    color: #1f1f1f;
    font-size: 32px;
    font-weight: 600;
    line-height: 40px;
    padding-bottom: 24px;
    margin-top: 32px;
}

.main-content__product-list {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    grid-template-rows: repeat(3, 1fr);
    margin-top: 24px;
    padding: 0;
    column-gap: 24px;
    row-gap: 32px;
    margin-bottom: 0;
}

// PRODUCT CARD 


.main-content__product-card {
    position: relative;
    border: 1px solid #a8a8a8;
    list-style: none;
    padding: 32px;
    width: 306px;
}

.product-card__badge-container {
    display: flex;
    flex-wrap: wrap;
    position: absolute;
    gap: 4px;
}

.product-card__badge-dscr {
    background-color: $badge__hit;
    border-radius: 4px;
    padding: 4px 8px;
    color: #f8fdfe;
    font-size: 16px;
    line-height: 24px;
    margin-bottom: 6px;
    margin-top: 0;
    margin-bottom: 0;
}

.product-card__badge-dscr--new {
    background-color: $badge__new;
}

.product-card__badge-dscr--percent {
    background-color: $badge__npercent;
}

.product-card__link {
    display: block;
}

.product-card__img {
    margin: 0px 32px;
    height: 280px;
    width: 178px;
}

.product-card__title {
    margin-top: 16px;
    margin-bottom: 0;
    border-bottom: 1px solid #a8a8a8;
    overflow: hidden;
    color: #1f1f1f;
    text-overflow: ellipsis;
    white-space: nowrap;
    max-width: 238px;
    font-size: 20px;
    font-weight: 700;
    line-height: 28px;

    &:hover {
        overflow: visible;
        white-space: wrap;
    }
}

.product-card__subtitle-dscr {
    overflow: hidden;
    color: #8e8e8e;
    text-overflow: ellipsis;
    font-size: 16px;
    line-height: 24px;
    margin: 0;
}

.product-card__final-price {
    display: inline-block;
    color: #e90000;
    font-size: 24px;
    font-weight: 500;
    line-height: 32px;
    margin-top: 8px;
    margin-bottom: 0;
    margin-right: 24px;
}

.product-card__old-price {
    display: inline-block;
    color: #8e8e8e;
    font-size: 24px;
    font-weight: 500;
    line-height: 32px;
    text-decoration-line: line-through;
    margin: 0;
}

.product-card__btn {
    background-color: $dark-purple;
    border-radius: 4px;
    color: #f8fdfe;
    text-align: center;
    font-family: Cabin;
    font-size: 16px;
    font-weight: 400;
    line-height: 24px;
    border: none;
    width: 242px;
    height: 40px;
    padding: 8px;
    margin-top: 16px;

    &:hover {
        background-color: $light-purple;
    }

    &--green {
        background-color: $green;

        &:hover {
            background-color: $salat;
        }
    }
}